/*******************************************************************************
 *	@file			DL.cpp
 *	@brief			DirectX Library
 *
 *	@date			08-Apr-2009(Wed)
 ******************************************************************************/

// vvZbT---------------------------------------------------------------
#include "DL.h"
#include "DLGraph.h"

// O[oϐ---------------------------------------------------------
DL::CDLGraph		g_CGraph;

// ֐vg^Cv錾---------------------------------------------------

// -----------------------------------------------------------------------------
/*******************************************************************************
 *	@namespace	DL
 ******************************************************************************/
namespace	DL
{

/*******************************************************************************
 *	@fn				int Init( const SDLParam& SDL )
 *	@param[in]		SDL							\
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			DirectX ̏
 ******************************************************************************/
int Init( const SDLParam& SDL )
{
	// COM̏
	::CoInitialize( NULL );
	// DLGraph̏
	if( !g_CGraph.Init( SDL ) ) return FALSE;

	return TRUE;
}

/*******************************************************************************
 *	@fn				int Exit( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			DirectX ̏I
 ******************************************************************************/
int Exit( void )
{


	// DLGraph̏I
	g_CGraph.End();
	// COM̉
	::CoUninitialize();

	return TRUE;
}

/*******************************************************************************
 *	@fn				int Exec( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			DirectX ̎s
 ******************************************************************************/
int Exec( void )
{
	// ʍXV
	g_CGraph.Update();

	return TRUE;
}

/*******************************************************************************
 *	@fn				int ChangeDisplay( const SDLParam& SDL )
 *	@param[in]		SDL							\
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			ʐ؂ւ
 ******************************************************************************/
int ChangeDisplay( const SDLParam& SDL )
{
	return g_CGraph.ChangeDisplay( SDL );
}

}	// namespace	DL
